Page MenuHomePhabricator

Delete tests disabled for more than 1 year
Open, Needs TriagePublic

Description

Description

  • 1 year should be enough time to fix a test
  • if a test is not useful enough to be disabled for a year, it should be deleted
  • I'm open to making the deadline shorter than 1 year
  • when deleting the test, add to reviewers
    • the person that wrote it
    • the person that disabled it
    • people that made changes to it

Table updated 2022-11-22

repositoryskippedsincegerrit
mediawiki/core
mediawiki/extensions/AbuseFilter
mediawiki/extensions/AdvancedSearch
mediawiki/extensions/CampaignEvents
mediawiki/extensions/CentralNotice
mediawiki/extensions/CheckUser
mediawiki/extensions/CirrusSearch
mediawiki/extensions/Cite
mediawiki/extensions/CodeMirror
mediawiki/extensions/Echo12022-01-17859504๐Ÿ”ด
mediawiki/extensions/ElectronPdfService
mediawiki/extensions/EntitySchema
mediawiki/extensions/FileImporter
mediawiki/extensions/GlobalWatchlist
mediawiki/extensions/GrowthExperiments
mediawiki/extensions/Math
mediawiki/extensions/Newsletter
mediawiki/extensions/PageTriage
mediawiki/extensions/Popups
mediawiki/extensions/ProofreadPage
mediawiki/extensions/RelatedArticles
mediawiki/extensions/RevisionSlider
mediawiki/extensions/TemplateWizard
mediawiki/extensions/TwoColConflict
mediawiki/extensions/VisualEditor
mediawiki/extensions/Wikibase12022-09-05859538๐Ÿ”ด
mediawiki/extensions/WikibaseLexeme32021-11-19, 2022-01-04861355๐Ÿš€ 860864๐Ÿ”ด
mediawiki/extensions/WikiLambda
mediawiki/extensions/Wikistories
mediawiki/skins/MinervaNeue2022-12-07T313775
wikibase/termbox
wikidata/query/gui
wmde/wdio-wikibase

Details

SubjectRepoBranchLines +/-
mediawiki/extensions/MobileFrontendREL1_40+3 -0
mediawiki/extensions/MobileFrontendREL1_39+2 -3 K
mediawiki/extensions/WikibaseLexememaster+0 -38
mediawiki/skins/MinervaNeuemaster+0 -34
mediawiki/extensions/MobileFrontendmaster+2 -3 K
mediawiki/skins/MinervaNeuemaster+1 -31
mediawiki/extensions/RelatedArticlesmaster+1 -6
mediawiki/extensions/EntitySchemamaster+0 -34
mediawiki/extensions/WikibaseLexememaster+0 -17
integration/configmaster+0 -3
mediawiki/extensions/MobileFrontendmaster+1 -1
mediawiki/extensions/Wikibasemaster+1 -1
mediawiki/extensions/Echomaster+1 -1
mediawiki/coremaster+1 -1
mediawiki/extensions/EntitySchemamaster+0 -18
mediawiki/extensions/EntitySchemamaster+4 -4
mediawiki/skins/MinervaNeuemaster+4 -34
mediawiki/coremaster+0 -18
mediawiki/extensions/Wikibasemaster+0 -55
mediawiki/extensions/GrowthExperimentsmaster+0 -16
mediawiki/coremaster+0 -161
mediawiki/extensions/FileImportermaster+1 -12
mediawiki/extensions/WikibaseLexememaster+0 -39
mediawiki/extensions/Echomaster+0 -32
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 762870 abandoned by Zfilipin:

[mediawiki/extensions/EntitySchema@master] selenium: Delete tests disabled for more than 1 year

Reason:

https://gerrit.wikimedia.org/r/762870

zeljkofilipin changed the task status from Open to In Progress.Nov 22 2022, 1:12 PM
zeljkofilipin claimed this task.

Change 859499 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/core@master] selenium: Enable skipped test

https://gerrit.wikimedia.org/r/859499

Change 762870 restored by Zfilipin:

[mediawiki/extensions/EntitySchema@master] selenium: Delete tests disabled for more than 1 year

https://gerrit.wikimedia.org/r/762870

Change 762870 abandoned by Zfilipin:

[mediawiki/extensions/EntitySchema@master] selenium: Delete tests disabled for more than 1 year

Reason:

https://gerrit.wikimedia.org/r/762870

Change 859503 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/EntitySchema@master] WIP selenium: Enable skipped tests

https://gerrit.wikimedia.org/r/859503

Change 859504 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/Echo@master] WIP selenium: Enable skipped tests

https://gerrit.wikimedia.org/r/859504

Change 859505 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/WikibaseLexeme@master] WIP selenium: Enable skipped tests

https://gerrit.wikimedia.org/r/859505

Change 859528 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/skins/MinervaNeue@master] WIP selenium: Enable skipped tests

https://gerrit.wikimedia.org/r/859528

Change 859499 merged by jenkins-bot:

[mediawiki/core@master] selenium: Enable skipped test

https://gerrit.wikimedia.org/r/859499

Change 859535 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/MobileFrontend@master] WIP selenium: Enable skipped tests

https://gerrit.wikimedia.org/r/859535

Change 859536 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/RelatedArticles@master] WIP selenium: Enable skipped tests

https://gerrit.wikimedia.org/r/859536

Change 859538 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/Wikibase@master] WIP selenium: Enable skipped tests

https://gerrit.wikimedia.org/r/859538

Change 859504 abandoned by Zfilipin:

[mediawiki/extensions/Echo@master] WIP selenium: Enable skipped tests

Reason:

Delete the skipped test if it's not fixed by 2023-01-17

https://gerrit.wikimedia.org/r/859504

Change 859538 abandoned by Zfilipin:

[mediawiki/extensions/Wikibase@master] WIP selenium: Enable skipped tests

Reason:

Delete test if not fixed by 2023-09-05

https://gerrit.wikimedia.org/r/859538

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 860068 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/MobileFrontend@master] Update to Node v14.17.5

https://gerrit.wikimedia.org/r/860068

Change 860076 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[integration/config@master] jjb: Delete selenium-daily-beta-MobileFrontend

https://gerrit.wikimedia.org/r/860076

Change 860068 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] Update to Node v14.17.5

https://gerrit.wikimedia.org/r/860068

Change 859535 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] selenium: Delete all tests

https://gerrit.wikimedia.org/r/859535

Change 860076 merged by jenkins-bot:

[integration/config@master] jjb: Delete selenium-daily-beta-MobileFrontend

https://gerrit.wikimedia.org/r/860076

Change 860864 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/WikibaseLexeme@master] selenium: Delete test disabled for more than 1 year

https://gerrit.wikimedia.org/r/860864

Change 860864 abandoned by Zfilipin:

[mediawiki/extensions/WikibaseLexeme@master] selenium: Delete test disabled for more than 1 year

Reason:

Restore if the test is not fixed by 2023-01-04

https://gerrit.wikimedia.org/r/860864

Change 859503 merged by jenkins-bot:

[mediawiki/extensions/EntitySchema@master] selenium: Delete tests disabled for more than 1 year

https://gerrit.wikimedia.org/r/859503

Change 859536 merged by jenkins-bot:

[mediawiki/extensions/RelatedArticles@master] selenium: Enable one skipped test, delete one failing test

https://gerrit.wikimedia.org/r/859536

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 862310 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/skins/MinervaNeue@master] selenium: Delete failing test

https://gerrit.wikimedia.org/r/862310

Change 862310 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] selenium: Delete failing test

https://gerrit.wikimedia.org/r/862310

Change 859505 abandoned by Zfilipin:

[mediawiki/extensions/WikibaseLexeme@master] selenium: Delete tests disabled for more than 1 year

Reason:

The tests seem to be fixed with https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseLexeme/+/861355

https://gerrit.wikimedia.org/r/859505

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin changed the task status from In Progress to Open.Dec 9 2022, 12:47 PM

Change 952002 had a related patch set uploaded (by Jforrester; author: Zfilipin):

[mediawiki/extensions/MobileFrontend@REL1_39] selenium: Delete all tests

https://gerrit.wikimedia.org/r/952002

Change 952002 merged by Jforrester:

[mediawiki/extensions/MobileFrontend@REL1_39] selenium: Delete all tests

https://gerrit.wikimedia.org/r/952002

Change 955803 had a related patch set uploaded (by Jforrester; author: Zfilipin):

[mediawiki/extensions/MobileFrontend@REL1_40] selenium: Delete all tests

https://gerrit.wikimedia.org/r/955803

Change 955803 abandoned by Jforrester:

[mediawiki/extensions/MobileFrontend@REL1_40] selenium: Delete all tests

Reason:

https://gerrit.wikimedia.org/r/955803

zeljkofilipin raised the priority of this task from Medium to Needs Triage.Oct 31 2023, 4:21 PM
Jbol updated the task description. (Show Details)